org.apache.lucene.analysis.ja

## Class JapaneseKatakanaStemFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.ja.JapaneseKatakanaStemFilter

All Implemented Interfaces:
  Closeable, AutoCloseable

    public final class JapaneseKatakanaStemFilter
    extends TokenFilter

A `TokenFilter` that normalizes common katakana spelling variations ending in a long sound character by removing this character (U+30FC). Only katakana words longer than a minimum length are stemmed (default is four).

Note that only full-width katakana characters are supported. Please use a `CJKWidthFilter` to convert half-width katakana to full-width before using this filter.

In order to prevent terms from being stemmed, use an instance of `KeywordMarkerFilter` or a custom `TokenFilter` that sets the `KeywordAttribute` before this `TokenStream`.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

`AttributeSource.AttributeFactory, AttributeSource.State`

### Field Summary

Fields
`static int` `DEFAULT_MINIMUM_LENGTH`

### Fields inherited from class org.apache.lucene.analysis.TokenFilter

`input`

### Constructor Summary

Constructors
Constructor and Description
`JapaneseKatakanaStemFilter(TokenStream input)`
`JapaneseKatakanaStemFilter(TokenStream input, int minimumLength)`

### Method Summary

Methods
`boolean` `incrementToken()`

### Methods inherited from class org.apache.lucene.analysis.TokenFilter

`close, end, reset`

### Methods inherited from class org.apache.lucene.util.AttributeSource

`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_MINIMUM_LENGTH

    public static final int DEFAULT_MINIMUM_LENGTH

See Also:
  Constant Field Values

### Constructor Detail

#### JapaneseKatakanaStemFilter

    public JapaneseKatakanaStemFilter(TokenStream input,
                              int minimumLength)

#### JapaneseKatakanaStemFilter

    public JapaneseKatakanaStemFilter(TokenStream input)

### Method Detail

#### incrementToken

    public boolean incrementToken()
                           throws IOException

Specified by:
  `incrementToken` in class `TokenStream`
Throws:
  `IOException`